Jira CLI(1)

NAME

jira-issue-comment-add - Add a comment to an issue

SYNOPSIS

jira issue comment add ISSUE-KEY [COMMENT_BODY] [flags]

DESCRIPTION

Add adds comment to an issue.

OPTIONS

-h, --help[=false]
    help for add

--internal[=false]
    Make comment internal

--no-input[=false]
    Disable prompt for non-required fields

-T, --template=""
    Path to a file to read comment body from

--web[=false]
    Open issue in web browser after adding comment

OPTIONS INHERITED FROM PARENT COMMANDS

-c, --config=""
    Config file (default is ~/.jira/.config.yml, can be overridden with JIRA_CONFIG_FILE env var)

--debug[=false]
    Turn on debug output

-p, --project=""
    Jira project to look into (defaults to ~/.jira/.config.yml)

EXAMPLE
    $ jira issue comment add
    # Pass required parameters to skip prompt
    $ jira issue comment add ISSUE-1 "My comment"
    # Multi-line comment
    $ jira issue comment add ISSUE-1 $'Supports\n\nNew line'
    # Load comment body from a template file
    $ jira issue comment add ISSUE-1 --template /path/to/template.tmpl
    # Get comment body from standard input
    $ jira issue comment add ISSUE-1 --template -
    # Or, use pipe to read input directly from standard input
    $ echo "Comment from stdin" | jira issue comment add ISSUE-1
    # Positional argument takes precedence over the template flag
    # The example below will add "comment from arg" as a comment
    $ jira issue comment add ISSUE-1 "comment from arg" --template /path/to/template.tmpl

SEE ALSO

jira-issue-comment(1)

HISTORY

27-Apr-2026 Auto generated by spf13/cobra